<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    >

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:paddingTop="30dp"
        android:background="@drawable/btn_background_shape_while">

        <TextView
            android:layout_centerHorizontal="true"
            android:text="发现新版本"
            android:textSize="16sp"
            android:gravity="center"
            android:layout_marginBottom="10dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/title_text" />
        <View
            android:id="@+id/view_line"
            android:layout_below="@id/title_text"
            android:layout_width="match_parent"
            android:layout_height="2dp"
            android:layout_marginTop="5dp"
            android:layout_marginRight="15dp"
            android:layout_marginLeft="15dp"
            />


        <LinearLayout
            android:layout_width="match_parent"
            android:id="@+id/web_desc"
            android:layout_margin="15dp"
            android:layout_below="@id/title_text"
            android:layout_height="150dp">
            <WebView
                android:id="@+id/tv_desc"
                android:layout_below="@id/title_text"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:text=""
                />
        </LinearLayout>



        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="80dp"
            android:orientation="horizontal"
            android:layout_below="@+id/web_desc"
            android:layout_marginBottom="10dp"
            >

            <Button
                style="@style/Widget.AppCompat.Button.Borderless"
                android:layout_width="0dp"
                android:layout_marginLeft="15dp"
                android:layout_marginRight="20dp"
                android:layout_alignParentLeft="true"
                android:gravity="center"
                android:layout_weight="1"
                android:visibility="visible"
                android:layout_marginBottom="15dp"
                android:background="@drawable/btn_theme_shape"
                android:layout_height="wrap_content"
                android:text="立即更新"
                android:id="@+id/confirm" />

            <Button
                style="@style/Widget.AppCompat.Button.Borderless"
                android:layout_width="0dp"
                android:layout_alignParentRight="true"
                android:layout_marginRight="15dp"
                android:layout_marginLeft="20dp"
                android:layout_weight="1"
                android:gravity="center"
                android:visibility="visible"
                android:layout_height="wrap_content"
                android:background="@drawable/btn_background_rectangle_gery"
                android:text="以后再说"
                android:id="@+id/cancel" />

            <Button
                style="@style/Widget.AppCompat.Button.Borderless"
                android:layout_width="0dp"
                android:layout_alignParentRight="true"
                android:layout_marginRight="15dp"
                android:layout_marginLeft="15dp"
                android:layout_weight="1"
                android:gravity="center"
                android:visibility="gone"
                android:layout_height="wrap_content"
                android:background="@drawable/btn_theme_shape"
                android:text="立即更新"
                android:id="@+id/must_confirm" />
        </LinearLayout>

    </RelativeLayout>

</LinearLayout>